87 yo mother using 1PW 3.822 for Mac - extension stopped working

gerilergeriler
edited May 2018 in 1Password 3 – 6 for Mac

I know it's an ancient version, and that has been intentional - to keep Mom from having a learning curve with each update. Now her safari extension stopped working. I removed it, thinking I could reinstall, but can't find where I would get a safari extension to work with old versions. Do they still exist?


1Password Version: 3.8.22 (build 32010)
Extension Version: don't know - uninstalled
OS Version: OS X 10.9.5
Sync Type: Not Provided
Referrer: forum-search:safari extension

Comments

  • Corey_CCorey_C

    Team Member

    Hi there @geriler,

    Considering that your mother is still using an older version of OS X, the extension should still be able to work, assuming you didn't upgrade Safari too far. The old 1Password 3 extension is not directly available, but you can find a link to it at the bottom of our post outlining legacy support for 1Password 3.

    1Password 3 legacy support information

  • Thanks Corey - I'll give it a shot and let you know!

  • Corey_CCorey_C

    Team Member

    Sure thing, @geriler. :)

  • Hi Corey - just had a chance to try reinstalling extension - unfortunately, it is displaying the same error message when I try to sign in as the extension I had uninstalled -

    Problem with database - Extension database not available.
    Please press Command-Option-Q to restart your browser and discard invalid (can't see rest of message)

  • brentybrenty

    Team Member

    @geriler: Unfortunately your guess is as good as ours. 1Password 3 is compatible with Snow Leopard and Lion (and Safari 5 and 5.1), and I don't even have a VM with Mavericks anymore, much less a Mac that can run it. Removing the extension should have sleared out its database as well, and I have no idea why Safari might not have done that. The best thing to do (other than updating, since your mom is, unfortunately, missing out on years of important security fixes in both the browser and OS at this point) would be to remove the extension, reboot, and try reinstalling, or, failing that, just use the main 1Password app to access data.

    If she's able to upgrade now or in the future, you may want to consider a 1Password Families membership, for a few reasons:

    • It includes all of the latest versions, and support for current OS and browser versions.
    • It's easy to share vaults securely, so you can each give each other access to important information that might be needed in an emergency.
    • Automatic offsite backup and item history are included, so losing your devices doesn't mean losing your data.
    • Family Organizers can perform account recovery for other family members if they forget their Master Password or other account credentials.

    I hope this helps. Be sure to let me know if you have any other questions! :)

  • Hi Brenty and thanks for the response. I can probably upgrade now that Mom is not really using the computer at all - so the concern about learning curve is no longer a big factor. I'll probably first need to upgrade her RAM and then her OS, then subscribe! Phew! It's a process!

  • brentybrenty

    Team Member

    @geriler: Well, I can't really help with the RAM or OS, but if you have any questions along the way with 1Password be sure to let me know. Enjoy your weekend! :)

  • @brenty - thanks - you too!

  • brentybrenty

    Team Member

    Will do. ;) :+1:

  • You said: The old 1Password 3 extension is not directly available, but you can find a link to it at the bottom of our post outlining legacy support for 1Password 3.
    which pointed to 1Password 3 legacy support information
    which has links to download1 Password 3.8.22 - but nothing there points to the browser extension.
    The extension that loaded when I installed from Chrome (v.49.0) is v4.7.3.90.
    Is that the correct one? When I click on the 1password icon in this version of chrome, I just get a dialog box that says it can't connect to the 1password server. Is there an incompatiblity, or do I nee to configure something? (and, no, I can't upgrade past 10.6.8 on this machine)

  • brentybrenty

    Team Member
    edited March 9

    @allenbaum: I'm sorry for the confusion. When Corey wrote that, nearly a year ago, it was still possible to download the 1Password 3 extension because it still worked at that time. It's long gone now, as it wouldn't work anyway due to browser changes.

    The version 4 extension does not work with 1Password 3, as it did not exist when we originally developed version 3. The browser and OS versions which are compatible with 1Password 3 are long since unsupported by their makers, and we can't ever recommend connecting something that out of date to the internet since there are years of known vulnerabilities which will be unpatched on your machine that you'll be exposed to.

    I'll close this old discussion in order to avoid further confusion. Please feel free to start a new one and @-mention me if you have questions about anything else.

This discussion has been closed.